USERMOD(8)

NOM
usermod - Modifier un compte utilisateur

SYNOPSIS

usermod [options] LOGIN

DESCRIPTION

La commande usermod modifie les fichiers d'administration des comptes du système selon les modifications qui ont été indiquées sur la ligne de commande.

OPTIONS

Les options disponibles pour la commande usermod sont :

-a, --append
    Ajouter l'utilisateur aux groupes supplémentaires. N'utilisez cette option qu'avec l'option -G.

-c, --comment COMMENTAIRE
    La nouvelle valeur du champ de commentaire du fichier de mots de passe pour l'utilisateur. Il est normalement modifié en utilisant l'utilitaire chfn(1).

-d, --home RÉP_PERSO
    Le nouveau répertoire personnel de l'utilisateur.

    Si l'option -m est fournie, le contenu du répertoire personnel actuel sera déplacé dans le nouveau répertoire personnel, qui sera créé si nécessaire.

-e, --expiredate DATE_FIN_VALIDITÉ
    Date à laquelle le compte utilisateur sera désactivé. La date est indiquée dans le format AAAA-MM-JJ.

    Un paramètre DATE_FIN_VALIDITÉ vide désactivera l'expiration du compte.

    Cette option nécessite un fichier /etc/shadow. Une entrée /etc/shadow sera créée si il n'y en avait pas.

-f, --inactive DURÉE_INACTIVITÉ
    Nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé.

    Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité.

    Cette option nécessite un fichier /etc/shadow. Une entrée /etc/shadow sera créée si il n'y en avait pas.

-g, --gid GROUPE
    Nom du groupe ou identifiant numérique du groupe de connexion initial de l'utilisateur. Le groupe doit exister.

    Tout fichier du répertoire personnel de l'utilisateur appartenant au groupe primaire précédent de l'utilisateur appartiendra à ce nouveau groupe.

    Le groupe propriétaire des fichiers en dehors du répertoire personnel de l'utilisateur doit être modifié manuellement.

-G, --groups GROUPE1[,GROUPE2,...[,GROUPEN]]]
    Liste de groupes supplémentaires auxquels appartient également l'utilisateur. Chaque groupe est séparé du suivant par une virgule, sans espace entre eux. Les groupes sont soumis aux mêmes restrictions que celles de l'option -g.

    Si l'utilisateur fait actuellement partie d'un groupe qui n'est pas listé, l'utilisateur sera supprimé du groupe. Ce comportement peut être modifié par l'option -a, qui permet d'ajouter l'utilisateur à la liste actuelle des groupes supplémentaires.

-l, --login NOUVEAU_LOGIN
    Le nom de l'utilisateur passera de LOGIN à NOUVEAU_LOGIN. Rien d'autre ne sera modifié. En particulier, le nom du répertoire personnel et l'emplacement de la boîte aux lettres de l'utilisateur devrontprobablement être changés pour refléter le nouveau nom de connexion.

-L, --lock
    Verrouiller le mot de passe d'un utilisateur. Cette option ajoute un « ! » devant le mot de passe chiffré, ce qui désactive le mot de passe. Vous ne pouvez pas utiliser cette option avec -p ou -U.

    Remarque : pour verrouiller le compte (et pas seulement l'accès au compte par un mot de passe), il est également nécessaire de placer DATE_FIN_VALIDITÉ à 1.

-m, --move-home
    Déplacer le contenu du répertoire personnel de l'utilisateur vers un nouvel emplacement.

    Cette option ne fonctionne que lorsqu'elle est combinée avec l'option -d (ou --home).

    usermod essayera d'adapter les permissions des fichiers et de copier les modes, ACL et attributs étendus. Cependant, vous risquez de devoir procéder à des modifications vous-même.

-o, --non-unique
    En combinaison avec l'option -u, cette option permet de changer l'identifiant utilisateur vers une valeur déjà utilisée.

-p, --password MOT_DE_PASSE
    Mot de passe chiffré, comme renvoyé par crypt(3).

    Remarque : l'utilisation de cette option est déconseillée car le mot de passe (ou le mot de passe chiffré) peut être visible des utilisateurs qui affichent la liste des processus.

    Le mot de passe sera écrit dans le fichier /etc/passwd local ou le fichier /etc/shadow. Cela peut être différent de la base de données de mots de passe définie dans la configuration de PAM.

    Il est nécessaire de vérifier si le mot de passe respecte la politique de mots de passe du système.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-s, --shell INTERPRÉTEUR
    Nom du nouvel interpréteur de commandes initial (« login shell ») de l'utilisateur. Si ce champ est vide, le système sélectionnera l'interpréteur de commandes initial par défaut.

-u, --uid UID
    La valeur numérique de l'identifiant de l'utilisateur.

    Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative.

    La boîte aux lettres et tous les fichiers possédés par l'utilisateur et qui sont situés dans son répertoire personnel verront leur identifiant d'utilisateur automatiquement modifié.

    Le propriétaire des fichiers en dehors du répertoire personnel de l'utilisateur doit être modifié manuellement.

    Aucun contrôle ne sera effectué sur les valeurs de UID_MIN, UID_MAX, SYS_UID_MIN, ou SYS_UID_MAX du fichier /etc/login.defs.

-U, --unlock
    Déverrouiller le mot de passe d'un utilisateur. Cela supprime le « ! » situé devant le mot de passe chiffré. Vous ne pouvez pas utiliser cette option avec -p ou -L.

    Remarque : pour déverrouiller le compte (et pas seulement l'accès au compte via un mot de passe), vous devriez définir la valeur DATE_FIN_VALIDITÉ (par exemple à 99999 ou à la valeur EXPIRE dans /etc/default/useradd).

-v, --add-sub-uids FIRST-LAST
    Add a range of subordinate uids to the users account.

    This option may be specified multiple times to add multiple ranges to a users account.

    No checks will be performed with regard to SUB_UID_MIN, SUB_UID_MAX, or SUB_UID_COUNT from /etc/login.defs.

-V, --del-sub-uids FIRST-LAST
    Remove a range of subordinate uids from the users account.

    This option may be specified multiple times to remove multiple ranges to a users account. When both --del-sub-uids and --add-sub-uids are specified remove of all subordinate uid ranges happens before any subordinate uid ranges are added.

    No checks will be performed with regard to SUB_UID_MIN, SUB_UID_MAX, or SUB_UID_COUNT from /etc/login.defs.

-w, --add-sub-gids FIRST-LAST
    Add a range of subordinate gids to the users account.

    This option may be specified multiple times to add multiple ranges to a users account.

    No checks will be performed with regard to SUB_GID_MIN, SUB_GID_MAX, or SUB_GID_COUNT from /etc/login.defs.

-W, --del-sub-gids FIRST-LAST
    Remove a range of subordinate gids from the users account.

    This option may be specified multiple times to remove multiple ranges to a users account. When both --del-sub-gids and --add-sub-gids are specified remove of all subordinate gid ranges happens before any subordinate gid ranges are added.

    No checks will be performed with regard to SUB_GID_MIN, SUB_GID_MAX, or SUB_GID_COUNT from /etc/login.defs.

-Z, --selinux-user UTILISATEUR_SELINUX
    Le nouvel utilisateur SELinux utilisé pour la connexion de l'utilisateur.

    Un paramètre SEUSER vide éliminera l'association de l'utilisateur SELinux pour l'utilisateur LOGIN (si spécifiée)

AVERTISSEMENTS

Il est nécessaire de contrôler que l'identifiant indiqué n'a pas de processus en cours d'exécution si cette commande est utilisée pour modifier l'identifiant numérique de l'utilisateur, son identifiant (login) ou son répertoire personnel. usermod effectue ce contrôle sous Linux mais vérifie seulement les informations d'utmp sur les autres architectures.

Il est nécessaire de changer manuellement le propriétaire des fichiers crontab ou des travaux programmés par at.

Les modifications qui concernent NIS doivent être effectuées sur le serveur NIS.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

MAIL_DIR (chaîne de caractères)
    Répertoire d'attente des courriels (« mail spool directory »). Ce paramètre est nécessaire pour manipuler les boîtes à lettres lorsque le compte d'un utilisateur est modifié ou supprimé. S'il n'est pas spécifié, une valeur par défaut définie à la compilation est utilisée.

MAIL_FILE (chaîne de caractères)
    Définir l'emplacement des boîtes aux lettres des utilisateurs relativement à leur répertoire personnel.

Les paramètres MAIL_DIR et MAIL_FILE sont utilisés par useradd, usermod et userdel pour créer, déplacer ou supprimer les boîtes aux lettres des utilisateurs.

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de configurer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).